declare const _sfc_main: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: ArrayConstructor;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
    uuid: {
        type: StringConstructor;
        required: true;
    };
}>, {
    props: any;
    dataList: import("vue").Ref<any[], any[]>;
    totalCount: import("vue").Ref<number, number>;
    groupTag: import("vue").Ref<boolean, boolean>;
    renderDataListFun: () => void;
    emit: (event: "on-click" | "map-show-type", ...args: any[]) => void;
    selectValue: import("vue").Ref<{}, {}>;
    listDisplayType: import("vue").Ref<number, number>;
    dataList2: import("vue").Ref<any[], any[]>;
    pageConfig: import("vue").Ref<{
        currentPage: number;
        pageSizes: number[];
        backgroundShow: boolean;
        layout: string;
    }, {
        currentPage: number;
        pageSizes: number[];
        backgroundShow: boolean;
        layout: string;
    } | {
        currentPage: number;
        pageSizes: number[];
        backgroundShow: boolean;
        layout: string;
    }>;
    pageData: import("vue").ComputedRef<any[]>;
    handleSizeChange: (val: number) => void;
    handleCurrentChange: (val: number) => void;
    handlePrevClick: (val: number) => void;
    handleNextClick: (val: number) => void;
    handleClick: (item: Object) => void;
    handleClickMapDisplayType: (val: number) => void;
    activeName: import("vue").Ref<number[], number[]>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("on-click" | "map-show-type")[], "on-click" | "map-show-type", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: ArrayConstructor;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
    uuid: {
        type: StringConstructor;
        required: true;
    };
}>> & Readonly<{
    "onOn-click"?: (...args: any[]) => any;
    "onMap-show-type"?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _sfc_main;
